Bug 1658282 - [RFE] Registry-independent image verification
Summary: [RFE] Registry-independent image verification
Keywords:
Status: CLOSED DUPLICATE of bug 1769576
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: skopeo
Version: 7.6
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: rc
: ---
Assignee: Miloslav Trmač
QA Contact: atomic-bugs@redhat.com
URL:
Whiteboard:
Depends On:
Blocks: 1186913 1726784
TreeView+ depends on / blocked
 
Reported: 2018-12-11 16:50 UTC by David Kaylor
Modified: 2020-09-21 09:27 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-19 15:51:26 UTC
Target Upstream Version:


Attachments (Terms of Use)
Results from test perfomed by Tom Lapp (3.83 KB, text/plain)
2019-03-05 19:39 UTC, Clark Hale
no flags Details

Description David Kaylor 2018-12-11 16:50:38 UTC
- Proposed title of this feature request

Registry-independent image verification

- What is the nature and description of the request?

A simple way to verify an image in local repositories, similar to rpm -qV

- Functional requirements

Running the verification command could compare the image layers to their digests or check an embedded signature similar to rpm. In the latter case there would also need to be a way to generate and attach the signature.

- For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.

Depending on the approach, first sign the image. After that, distribute the image to two different environments and run the verification command.

- Is there already an existing RFE upstream or in Red Hat Bugzilla?

No

- List any affected packages or components.

We were thinking skopeo would make sense but are open to other ideas

Comment 8 Daniel Walsh 2019-01-10 20:25:35 UTC
Miloslav what is the latest on this?

Comment 10 Clark Hale 2019-03-05 19:39:07 UTC
Created attachment 1541127 [details]
Results from test perfomed by Tom Lapp

Comment 16 Medford 2019-04-03 13:44:05 UTC
Hello, 

We are awaiting feedback from RH engineering on this issue and haven't heard anything in a few days. Has there been any progress?


Note You need to log in before you can comment on or make changes to this bug.